from django.conf import settings
from django.contrib import admin
from django.urls import path, include
from django.views.generic import TemplateView

urlpatterns = [
    path('', TemplateView.as_view(template_name="index.html"), name='home'),

    path('admin/', admin.site.urls),

    path('accounts/', include('django.contrib.auth.urls')),

    path('documents/', include('document_catalogue.urls')),

    path('private-media/', include('private_storage.urls')),
]

if settings.DEBUG:
    from django.conf.urls.static import static
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

    try:  # Optionally, load django-debug-toolbar if it's installed.
        import debug_toolbar
        urlpatterns += [path('__debug__/', include(debug_toolbar.urls)),]
    except ModuleNotFoundError:
        pass